noinst_LTLIBRARIES = libbmpwidgets.la

libbmpwidgets_la_CFLAGS = 	\
	$(RSVG_CFLAGS) $(GLIB_CFLAGS) $(GTK_CFLAGS) $(GLADEMM_CFLAGS) $(SEXYMM_CFLAGS) -I$(top_srcdir) -I$(top_srcdir)/include -I$(top_srcdir)/src

libbmpwidgets_la_CXXFLAGS = \
	$(RSVG_CFLAGS) $(GLIBMM_CFLAGS) $(GTKMM_CFLAGS) $(GLADEMM_CFLAGS) $(SEXYMM_CFLAGS) -I$(top_srcdir) -I$(top_srcdir)/include -I$(top_srcdir)/src

libbmpwidgets_la_LIBADD = \
	$(RSVG_LIBS)						\
	$(GLIBMM_LIBS)					\
	$(GLADEMM_LIBS)					\
	$(SEXYMM_LIBS)					\
	$(GTKMM_LIBS)					

libbmpwidgets_la_SOURCES =  				\
																		\
		cairoextensions.cc							\
		cairoextensions.hh							\
																		\
    bmp_status_icon.c     					\
    bmp_status_icon.h	    					\
																		\
    bmp_tray_icon.c       					\
    bmp_tray_icon.h	      					\
																		\
		ccwidgets.hh										\
		ccwidgets.cc										\
																		\
    widget-marshalers.c   					\
																		\
		banner-image.hh									\
		banner-image.cc									\
																		\
		taskdialog.hh										\
		taskdialog.cc										\
																		\
		button.hh												\
		button.cc												\
																		\
		image.hh												\
		image.cc												\
																		\
		popup.hh												\
		popup.cc												\
																		\
		cell-renderer-cairo-surface.hh	\
		cell-renderer-cairo-surface.cc	\
																		\
		cell-renderer-count.hh					\
		cell-renderer-count.cc

widget-marshalers.c: widget-marshalers.list 
	@echo "* Generating widget-marshalers.c"
	@glib-genmarshal --prefix=widget --body   $(srcdir)/widget-marshalers.list > widget-marshalers.c

widget-marshalers.h: widget-marshalers.list
	@echo "* Generating widget-marshalers.h"
	@glib-genmarshal --prefix=widget --header $(srcdir)/widget-marshalers.list > widget-marshalers.h


EXTRA_DIST = \
      widget-marshalers.list

BUILT_SOURCES = \
      widget-marshalers.c \
      widget-marshalers.h

CLEANFILES = $(BUILT_SOURCES)
DISTCLEANFILES = $(CLEANFILES)
